Skip to navigation

Get deliveries for an event

This endpoint returns all deliveries for a specific event. The ‘from’ and ‘to’ parameters are mandatory to enable efficient time-range queries.

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

idstringRequiredformat: "uuid"

Query parameters

fromstringRequiredformat: "date-time"
tostringRequiredformat: "date-time"
subscriptionIdstring or nullOptionalformat: "uuid"
statuslist of enums or nullOptional
Allowed values:
pageintegerRequiredDefaults to 0
sizeintegerRequired<=10000Defaults to 100

Response

Successfully retrieved list
itemslist of objectsOptional
List of items on current page
totalPagesintegerOptional
Total number of pages
totalSizelongOptional
Total number of items

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
5XX
Server Error